var dbPool = require('../helpers/db-pool.js').pool;
var uuidv1 = require('uuid/v1');

exports.getAllPatients = function(userId, cb) {
    dbPool.getConnection(function(err, connection){
        if (err) {
            connection.release();
            cb(err, null);
            throw err;
        }
        connection.query("SELECT * FROM PATIENT INNER JOIN ACCESS ON PATIENT.PatientID = ACCESS.PatientID AND ACCESS.UserID = ? AND ACCESS.Permission = 1", userId, cb);
        connection.release();
    })

};

exports.getOnePatient = function(userId, id, cb) {
    dbPool.getConnection(function(err, connection){
        if (err) {
            connection.release();
            cb(err, null);
            throw err;
        }
        connection.query("SELECT * FROM PATIENT INNER JOIN ACCESS ON PATIENT.PatientID = ACCESS.PatientID AND ACCESS.UserID = ? AND ACCESS.Permission = 1 WHERE PatientID = ?", [userId, id] , cb);
        connection.release();
    })

};

exports.getByQuestionnaireID = function(QuestionnaireID, cb) {
    dbPool.getConnection(function(err, connection){
        if (err) {
            connection.release();
            cb(err, null);
            throw err;
        }
        connection.query("SELECT QuestionID FROM `QUESTIONNAIRE` WHERE PatientID = ?", QuestionnaireID,cb);
        connection.release();
    })

};

exports.insertNewPatient = function(userId, requestBody, cb) {
    var patient = JSON.parse(requestBody.data);
    dbPool.getConnection(function(err, connection){
        if (err) {
            connection.release();
            cb(err, null);
            throw err;
        }
        connection.query("INSERT INTO PATIENT(FirstName, LastName, Gender, Postcode, UuID) VALUES (?, ?, ?, ?, ?)",
            [patient.firstName, patient.lastName, patient.gender, patient.postcode, uuidv1()], function(err, result) {
                if (err) {
                    connection.release();
                    cb(err, null);
                    throw err;
                }
                var patientId = result.insertId;
                connection.query("INSERT INTO ACCESS(UserID, PatientID, Permission) VALUES (?, ?, 1) ", [userId, patientId], function(err, result) {
                    if (err) {
                        connection.release();
                        cb(err, null);
                        throw err;
                    }
                    cb(null, result);
                });
            });
        connection.release();
    })

};

