var dbPool = require('../helpers/db-pool.js').pool;

exports.getAllQuestions = function(cb) {
    dbPool.getConnection(function(err, connection){
        if (err) {
            connection.release();
            cb(err, null);
            throw err;
        }
        connection.query("SELECT * FROM QUESTION", cb);
        connection.release();
    })
};

exports.getQuestionsByPatient = function(userId, patientID, cb) {
    dbPool.getConnection(function(err, connection){
        if (err) {
            connection.release();
            cb(err, null);
            throw err;
        }
        connection.query("SELECT QUESTION.QuestionID, QUESTION.Question, QUESTION.QuestionType, ANSWER.AnswerID, ANSWER.Answer FROM QUESTION INNER JOIN QUESTIONNAIRE ON QUESTION.QuestionID = QUESTIONNAIRE.QuestionID LEFT JOIN ANSWER ON QUESTION.QuestionID = ANSWER.QuestionID WHERE QUESTIONNAIRE.PatientID = ?", patientID , cb);
        connection.release();
    })
};

exports.insertQuestionsByUserId = function(userId, requestBody, cb) {
    var questionIds = JSON.parse(requestBody.data);
    dbPool.getConnection(function(err, connection) {
        if (err) {
            connection.release();
            cb(err, null);
            throw err;
        }
        var qulen = questionIds.length; //looks at the number of question/answers to insert
        for (var i=0; i < qulen; i++) { //loop through the answers inserting them into the responses table
            var questionId = questionIds[i];
            connection.query("INSERT INTO QUESTIONNAIRE (PatientID, QuestionID) SELECT PatientID, ? FROM ACCESS WHERE UserID = ?", [questionId, userId] , function() {
                if (err) {
                    connection.release();
                    cb(err, null);
                    throw err;
                }
            });
        }
        cb(null, "done");
        connection.release();
    })
}