/*SERVER*/

var express = require('express'); /*include express.js library*/
var router = express.Router(); /*created router using express,js*/
var path = require('path'); /*create variable to resolve paths*/
var verifyToken = require('../helpers/verifyToken.js');


router.use('/users', require('./users'));
router.use('/patients', require('./patients'));
router.use('/questions', require('./questions'));
router.use('/visits', require('./visits'));

/* GET home page. */
router.get('/onePage', verifyToken, function(req, res, next) { /*GET function when / */
  res.sendFile(path.resolve("public/onepage.html")); /*creating a function for localhost:4000/ to return index.html */
});

module.exports = router; //make router visible to the outside world






