var express = require('express'); /*include express.js library*/
var router = express.Router(); /*created router using express,js*/
var visitModel = require('../models/visitModel');
var verifyToken = require('../helpers/verifyToken.js');


router.get('/', verifyToken, function(req, res, next) {
    visitModel.getVisits(req.userId, function(err, result) {
        if (err) throw err;
        res.json(result);
    });
});

router.post('/', verifyToken, function(req, res, next) {
    visitModel.insertNewVisit(req.userId, req.body, function(err, result) {
        if (err) throw err;
        res.json(result);
    });
});

module.exports = router; //make router visible to the outside world
